org.eclipse.actf.util.win32

## Class FlashMSAAObject

- java.lang.Object
- - org.eclipse.actf.util.win32.FlashMSAAObject

    public class FlashMSAAObject
    extends Object

FlashMSAAObject is a wrapper class of native MSAA object for Flash content

### Method Summary

Methods
`boolean` `doDefaultAction()`
`String` `getAccDescription()`
`String` `getAccKeyboardShortcut()`
`String` `getAccName()`
`int` `getAccRole()`
`int` `getAccState()`
`int` `getChildCount()`
`FlashMSAAObject[]` `getChildren()`
`String` `getClassName()`
`IAccessible` `getIAccessible()`
`int` `getPtr()`
`int` `getWindow()`
`boolean` `select(int selflagTakefocus)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getIAccessible

    public IAccessible getIAccessible()

Returns:
  the native wrapped IAccessible object.

#### getAccKeyboardShortcut

    public String getAccKeyboardShortcut()

See Also:
  `IAccessible.getAccKeyboardShortcut(int)`

#### getAccRole

    public int getAccRole()

See Also:
  `IAccessible.getAccRole(int)`

#### getAccDescription

    public String getAccDescription()

See Also:
  `IAccessible.getAccDescription(int)`

#### getAccState

    public int getAccState()

See Also:
  `IAccessible.getAccState(int)`

#### doDefaultAction

    public boolean doDefaultAction()

See Also:
  `IAccessible.accDoDefaultAction(int)`

#### getChildCount

    public int getChildCount()

See Also:
  `IAccessible.getAccChildCount()`

#### getAccName

    public String getAccName()

See Also:
  `IAccessible.getAccName(int)`

#### select

    public boolean select(int selflagTakefocus)

See Also:
  `IAccessible.accSelect(int, int)`

#### getChildren

    public FlashMSAAObject[] getChildren()

Returns:
  an array of the children

#### getClassName

    public String getClassName()

Returns:
  the window class name of the wrapped object (Windows native). If class name can't be obtained from the wrapped object then return null.
See Also:
  `WindowUtil.GetWindowClassName(int)`

#### getWindow

    public int getWindow()

Returns:
  the address of the window handle of the wrapped object. If window handle can't be obtained from the wrapped object then return 0.
See Also:
  `MSAA.WindowFromAccessibleObject(long)`

#### getPtr

    public int getPtr()

Returns:
  the native address of the wrapped object